%{
    #include <stdio.h>
    extern void yyerror(char*);
%}

%token SKAPA ANSLAG ANSLAGSTAVLA SATT UPP PA HELTAL TEXTSTRANG

%%

kommandolista : kommando kommandolista | /* empty */ ;

kommando : anslagskommando | anslagstavlekommando | placeringskommando ;

anslagskommando : SKAPA ANSLAG HELTAL rubrik innehall ;

rubrik : TEXTSTRANG ;

innehall : TEXTSTRANG ;

anslagstavlekommando : SKAPA ANSLAGSTAVLA HELTAL ;

placeringskommando : SATT UPP ANSLAG HELTAL PA ANSLAGSTAVLA HELTAL ;

%%

int main() {
    printf("Mata in kommandon. Avsluta med filslut.\n");
    yyparse();
}

void yyerror(char *s) {
    fprintf(stderr, "Bison-fel! Felmeddelande: %s\n", s);
}

int yywrap(void) {
    return 1;
}

/*
int yylex(void) {
  return lexan();
}

void parse() {
  yyparse();
}
                     */
